Subject: [Acme] Usage of "unspecified" reason code in CRL / OCSP

From: Jörn Heissler <[email-masked]>
Date: Sat, 6 Jan 2018 00:03:16 +0100

Hello,

https://ietf-wg-acme.github.io/acme/draft-ietf-acme-acme.html#rfc.section.7.6
states:

    If this field is not set the server SHOULD use the unspecified (0)
    reasonCode value when generating OCSP responses and CRLs.

Yet https://tools.ietf.org/html/rfc5280#section-5.3.1 says the opposite:

    the reason code CRL entry extension SHOULD be absent instead
    of using the unspecified (0) reasonCode value.

Could this be reworded somehow? It would make sense to store `0' in a
database but later don't add a CRLReason extension / ASN.1 field.

Cheers,
Jörn

---

From: Richard Barnes <[email-masked]>
Date: Fri, 5 Jan 2018 18:12:22 -0500

Good point.  Posted a PR: https://github.com/ietf-wg-acme/acme/pull/385

On Fri, Jan 5, 2018 at 6:03 PM, Jörn Heissler <[email-masked]>
wrote:

> _______________________________________________
> Acme mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/acme
>
>